FSXFSINFO(1)

NAME
fsxfsinfo - determines information about a X File System (XFS) volume

SYNOPSIS
fsxfsinfo [-B bodyfile] [-E inode_number] [-F path] [-o offset] [-dhHvV] source

DESCRIPTION
fsxfsinfo is a utility to determine information about a X File System (XFS) volume

fsxfsinfo is part of the libfsxfs package. libfsxfs is a library to access the X File System (XFS) format

source is the source volume.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-d  calculate a MD5 hash of a file entry to include in the bodyfile

-E inode_number
    show information about a specific inode or "all"

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-o offset
    specify the volume offset in bytes

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsxfsinfo xfs.raw
    fsxfsinfo 20260621

    X File System information:

    Volume information:
    	Format version			: 5
    	Label				: xfs_test
    	Compatible features		: 0x00000000
    	Read-only compatible features	: 0x00000005
    		(XFS_SB_FEAT_RO_COMPAT_FINOBT)
    		(XFS_SB_FEAT_RO_COMPAT_REFLINK)
    	Incompatible features		: 0x00000003
    		(XFS_SB_FEAT_INCOMPAT_FTYPE)
    		(XFS_SB_FEAT_INCOMPAT_SPINODES)
    	Journal incompatible features	: 0x00000000

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

SEE ALSO
fsxfsmount(1)

AUTHORS
Joachim Metz <joachim.metz@gmail.com>

BUGS
Please report bugs of any kind on the project issue tracker: https://github.com/libyal/libfsxfs/issues

COPYRIGHT
Copyright (C) 2020-2026, Joachim Metz <joachim.metz@gmail.com>.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.